diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 1e1ee38..8bc3344 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -117663,7 +117663,7 @@ ODEIntegration(R, F): Exports == Implementation where
     isQlog: F -> Union(REC, "failed")
     mkprod: List REC -> F
 
-    diff x == differentiate(#1, x)
+    diff x == (f1:F):F +-> differentiate(f1, x)
 
 -- This is the integration function to be used for quadratures
     int(f, x) ==
@@ -117676,7 +117676,7 @@ ODEIntegration(R, F): Exports == Implementation where
       empty? l => 1
       rec := first l
       d := denom(rec.coef)
-      ll := select(denom(#1.coef) = d, l)
+      ll := select((z1:REC):Boolean +-> denom(z1.coef) = d, l)
       nthRoot(*/[r.logand ** numer(r.coef) for r in ll], d) *
         mkprod setDifference(l, ll)
 
diff --git a/changelog b/changelog
index d084a26..22d0840 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090609 tpd src/axiom-website/patches.html 20090609.03.tpd.patch
+20090609 tpd books/bookvol10.4 ODEINT +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.02.tpd.patch
 20090609 tpd books/bookvol10.4 NUMFMT +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ab6bb1e..2d53f3b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1517,5 +1517,7 @@ bookvol10.4 NORMMA +-> conversion<br/>
 bookvol10.4 NPCOEF +-> conversion<br/>
 <a href="patches/20090609.02.tpd.patch">20090609.02.tpd.patch</a>
 bookvol10.4 NUMFMT +-> conversion<br/>
+<a href="patches/20090609.03.tpd.patch">20090609.03.tpd.patch</a>
+bookvol10.4 ODEINT +-> conversion<br/>
  </body>
 </html>
